%% EParametrizzazione iniziale

clear all,clc

%Parametri Test 1
% Parametri serbatoio  #1
a1=5;
w1=1;
% Parametri serbatoio  #2
c2=3;
w2=1;
teta2=pi/4;
% Parametri serbatoio  #2
a3=4;
w3=2;
% Coefficienti di efflusso
C12=0.5;
C23=0.6;

 PAR=[a1 w1 c2 w2 teta2 a3 w3 C12 C23]

% Condizioni iniziali 
H10=1;
H20=2;
H30=3;

%% run del modello
sim('Serbatoi_v02')
H1_test1=H1;
H2_test1=H2;

% Coefficiente di efflusso nel Test 2
C12=0.8;
sim('Serbatoi_v02')
H1_test2=H1;
H2_test2=H2;

% Coefficiente di efflusso nel Test 3
C12=1.1;
sim('Serbatoi_v02')
H1_test3=H1;
H2_test3=H2;

% Coefficiente di efflusso nel Test 4
C12=1.5;
sim('Serbatoi_v02')
H1_test4=H1;
H2_test4=H2;

%% Creazione grafici
figure(1)
plot(H1_test1.Time,[H1_test1.Data H1_test2.Data H1_test3.Data H1_test4.Data],'LineWidth',2)
grid,
xlabel('Tempo [s]')
title('Livelli H1 nei 4 test')
legend('C_{12}=0.5','C_{12}=0.8','C_{12}=1.1','C_{12}=1.5')

figure(2)
plot(H2_test1.Time,[H2_test1.Data H2_test2.Data H2_test3.Data H2_test4.Data],'LineWidth',2)
grid,
xlabel('Tempo [s]')
title('Livelli H2 nei 4 test')
legend('C_{12}=0.5','C_{12}=0.8','C_{12}=1.1','C_{12}=1.5')